import { ElementRef, Renderer } from '@angular/core';
import { Config } from '../../config/config';
import { Ion } from '../ion';
import { GestureController } from '../../gestures/gesture-controller';
import { DomController } from '../../util/dom-controller';
export declare class List extends Ion {
    private _gestureCtrl;
    private _domCtrl;
    private _enableSliding;
    private _containsSlidingItems;
    private _slidingGesture;
    constructor(config: Config, elementRef: ElementRef, renderer: Renderer, _gestureCtrl: GestureController, _domCtrl: DomController);
    mode: string;
    sliding: boolean;
    containsSlidingItem(contains: boolean): void;
    private _updateSlidingState();
    closeSlidingItems(): void;
    destroy(): void;
}
